<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.jmx.remoting-connector.jmx">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="use-management-endpoint"/>
        <elem name="addr-params" value="profile,host,subsystem,remoting-connector"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jmx"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.management.jmx.remote"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.management.jmx"/>
    </requires>
    <refs>
        <ref feature="subsystem.jmx"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="use-management-endpoint" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="jmx"/>
        <param name="remoting-connector" feature-id="true" default="jmx"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
    <packages>
        <package name="org.jboss.remoting-jmx"/>
    </packages>
</feature-spec>